﻿using System;
using System.Linq;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

namespace System.Windows.Forms
{
  public static class BindingContextExtension
  {
    public static Control FindControl(this BindingContext bindingContext, object dataSource, string propertyName)
    {
      if (bindingContext[dataSource] == null)
        return null;
      return bindingContext[dataSource].FindControl(propertyName);
    }
  }
}
